package hdm.mi.sthbackend.dto;

import hdm.mi.sthbackend.model.Match;
import hdm.mi.sthbackend.model.Team;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;
import java.util.Map;
import java.util.UUID;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class TournamentDTO {
    private UUID tournamentId;
    private String tournamentName;
    private List<Match> matches;
    private Map<UUID, Team> teams; // TODO maybe just uuid?
}
