package hdm.mi.sthbackend.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;
import java.util.UUID;

@Getter
@Document("Team")
@AllArgsConstructor
public class Team {
    @Id
    private final UUID id;

    private final String teamName;
    private final List<UUID> teamMembers;
}
