package hdm.mi.sthbackend.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.UUID;

@Getter
@Document("TeamMatchScore")
@AllArgsConstructor
public class TeamMatchScore {

    private static final Logger log = LogManager.getLogger(TeamMatchScore.class);

    @Id
    private final UUID teamMatchScoreId;
    private final UUID teamId;
    @Setter
    private int score;
}
